Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex MetaData Hub
  • About Yandex MetaData Hub
    • Service roles for access management
    • Terraform reference
      • API authentication
        • Overview
          • Overview
          • GetCatalog
          • ListCatalogs
          • CreateCatalog
          • DeleteCatalog
          • UpdateCatalog
  • Access management
  • Quotas and limits
  • Pricing policy
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • CatalogAIMarkupRules
  • CatalogAutoIngestionConfig
  1. Data Catalog
  2. API reference
  3. REST
  4. Catalog
  5. GetCatalog

Datacatalog API, REST: Catalog.GetCatalog

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • CatalogAIMarkupRules
  • CatalogAutoIngestionConfig

Returns the specified catalog.

HTTP requestHTTP request

GET https://datacatalog.api.cloud.yandex.net/v1/catalog/{catalogId}

Path parametersPath parameters

Request message for getting a catalog.

Field

Description

catalogId

string

Required field. ID of the catalog to return.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "folderId": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "createdBy": "string",
  "aiMarkupRules": {
    "aiEnabled": "boolean",
    "documentationRules": "string",
    "domainRules": "string",
    "termsRules": "string",
    "tagsRules": "string"
  },
  "autoIngestionParams": {
    "serviceAccountId": "string"
  },
  "createdAt": "string",
  "updatedAt": "string"
}

Field

Description

id

string

Catalog identifier

folderId

string

Folder identifier

name

string

Catalog name

description

string

Catalog description

labels

object (map<string, string>)

Catalog labels

createdBy

string

Id of subject who created the catalog

aiMarkupRules

CatalogAIMarkupRules

AI markup enabled flag

autoIngestionParams

CatalogAutoIngestionConfig

Configuration for auto ingestion feature

createdAt

string (date-time)

Date of catalog creation

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updatedAt

string (date-time)

Date of catalog last update

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

CatalogAIMarkupRulesCatalogAIMarkupRules

Field

Description

aiEnabled

boolean

If set to true, AI marking up of catalog entities will be enabled

documentationRules

string

Rules for the AI agent, that will be used for assets mark up

domainRules

string

Rules for the AI agent, that will be used for domains mark up

termsRules

string

Rules for the AI agent, that will be used for terms mark up

tagsRules

string

Rules for the AI agent, that will be used for tags mark up

CatalogAutoIngestionConfigCatalogAutoIngestionConfig

Field

Description

serviceAccountId

string

ID of service account, which will be used for auto ingestion feature

Was the article helpful?

Previous
Overview
Next
ListCatalogs
© 2026 Direct Cursus Technology L.L.C.